## org.codehaus.groovy.tools.shell.util
Class Code

Field Summary
`int` | `BG_BLACK`
`int` | `BG_BLUE`
`int` | `BG_CYAN`
`int` | `BG_GREEN`
`int` | `BG_MAGENTA`
`int` | `BG_RED`
`int` | `BG_WHITE`
`int` | `BG_YELLOW`
`int` | `BLACK`
`int` | `BLINK`
`int` | `BLUE`
`int` | `BOLD`
`Map` | `CODES_TO_NAMES`
`int` | `CONCEALED`
`int` | `CYAN`
`int` | `FG_BLACK`
`int` | `FG_BLUE`
`int` | `FG_CYAN`
`int` | `FG_GREEN`
`int` | `FG_MAGENTA`
`int` | `FG_RED`
`int` | `FG_WHITE`
`int` | `FG_YELLOW`
`int` | `GREEN`
`int` | `MAGENTA`
`Map` | `NAMES_TO_CODES`
`int` | `OFF`
`int` | `RED`
`int` | `REVERSE`
`int` | `UNDERSCORE`
`int` | `WHITE`
`int` | `YELLOW`

Constructor Summary
`Code()`

Method Summary
`static int` | `forName(String name)`
`static String` | `name(int code)` Returns the symbolic name for the given ANSI code.

Constructor Detail

### Code

    Code()

Method Detail

### forName

    public static int forName(String name)

### name

    public static String name(int code)

  Returns the symbolic name for the given ANSI code.